doctype html
html
    head
        title Prototype Socket.io
        meta(name="viewport" content="width=device-width, initial-scale=1.0")
        link(rel="stylesheet" href="/stylesheets/style.css")
    body
        block messages
            if locals.flashes
                .flash-messages
                    - const categories = Object.keys(locals.flashes)
                    each category in categories
                        each message in flashes[category]
                            .flash(class=`flash--${category}`)
                                p.flash__text!= message
                                button.flash__remove(onClick="this.parentElement.remove()") &times;

        .content
            block content
            script(src="/socket.io/socket.io.js")
            script(type="text/javascript" src="/js/main.js")